com.aliyun.player

## Class VidPlayerConfigGen

- java.lang.Object
- - com.aliyun.player.VidPlayerConfigGen

-     public class VidPlayerConfigGen
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VidPlayerConfigGen.EncryptType` Encryption types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidPlayerConfigGen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlayerConfig(java.lang.String key, int value)` Add other config parameters.
    `void` | `addPlayerConfig(java.lang.String key, java.lang.String value)` Add other config parameters.
    `java.lang.String` | `genConfig()` Query config parameters.
    `void` | `setEncryptType(VidPlayerConfigGen.EncryptType type)` Set the encryption type for streams returned by the server.
    `void` | `setMtsHlsUriToken(java.lang.String token)` Set the HLS UriToken of MTS.
    `void` | `setPreviewTime(int previewTime)` Set the preview duration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VidPlayerConfigGen

          public VidPlayerConfigGen()

  - ### Method Detail

    - #### setPreviewTime

          public void setPreviewTime(int previewTime)

      Set the preview duration.
      Parameters:
        `previewTime` - Unit: seconds.

    - #### setEncryptType

          public void setEncryptType(VidPlayerConfigGen.EncryptType type)

      Set the encryption type for streams returned by the server. If an encryption type is specified, then only streams use the specified encryption type are returned. For example, if the encryption type is set to Unencrypted, then only unencrypted streams are returned. If no encryption type is specified, an encrypted stream is returned for each definition.
      Parameters:
        `type` - The specified encryption type. See VidPlayerConfigGen.EncryptType.

    - #### setMtsHlsUriToken

          public void setMtsHlsUriToken(java.lang.String token)

      Set the HLS UriToken of MTS.
      Parameters:
        `token` -

    - #### addPlayerConfig

          public void addPlayerConfig(java.lang.String key,
                                      java.lang.String value)

      Add other config parameters.
      Parameters:
        `key` - Key.
        `value` - Value.

    - #### addPlayerConfig

          public void addPlayerConfig(java.lang.String key,
                                      int value)

      Add other config parameters.
      Parameters:
        `key` - Key.
        `value` - Value.

    - #### genConfig

          public java.lang.String genConfig()

      Query config parameters.
      Returns: